## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanObjectCacheDefault Template Class Reference

`#include <XalanObjectCache.hpp>`

Inheritance diagram for XalanObjectCacheDefault

Collaboration diagram for XalanObjectCacheDefault:

List of all members.

## Public Types

- typedef XalanObjectCache<ObjectType,
  DefaultCacheCreateFunctor<
  ObjectType>, DeleteFunctor<
  ObjectType>, DefaultCacheResetFunctor<
  ObjectType> > BaseClassType

## Public Methods

- XalanObjectCacheDefault (unsigned int initialListSize = 0)

## Member Typedef Documentation

template<classObjectType>
typedef XalanObjectCache<ObjectType, DefaultCacheCreateFunctor<ObjectType>, DeleteFunctor<ObjectType>, DefaultCacheResetFunctor<ObjectType> > XalanObjectCacheDefault<ObjectType>::BaseClassType

## Constructor & Destructor Documentation

template<classObjectType>
XalanObjectCacheDefault<ObjectType>::XalanObjectCacheDefault<ObjectType> ( | unsigned int initialListSize = 0 )`[explicit]`

The documentation for this class was generated from the following file:

- XalanObjectCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.